# IRremoteESP8266: LGProtocol Union Reference

LGProtocol Union Reference

Native representation of a LG A/C message. More...

`#include <ir_LG.h>`

## Public Attributes

uint32_t | raw
| The state of the IR remote in IR code form. More...
struct {
uint32_t Sum:4
uint32_t Fan:3
uint32_t __pad0__:1
uint32_t Temp:4
uint32_t Mode:3
uint32_t __pad1__:3
uint32_t Power:2
uint32_t Sign:8
}; |

## Detailed Description

Native representation of a LG A/C message.

## Member Data Documentation

## @51

struct { ... }

## __pad0__

uint32_t LGProtocol::__pad0__

## __pad1__

uint32_t LGProtocol::__pad1__

## Fan

uint32_t LGProtocol::Fan

## Mode

uint32_t LGProtocol::Mode

## Power

uint32_t LGProtocol::Power

## raw

uint32_t LGProtocol::raw

The state of the IR remote in IR code form.

## Sign

uint32_t LGProtocol::Sign

## Sum

uint32_t LGProtocol::Sum

## Temp

uint32_t LGProtocol::Temp

The documentation for this union was generated from the following file:

- src/ir_LG.h